Bug 620584 - [abrt] crash in gpodder-2.7-1.fc13: model.py:107:_filter_visible_func:TypeError: unknown type (null)
Summary: [abrt] crash in gpodder-2.7-1.fc13: model.py:107:_filter_visible_func:TypeErr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:074e3c65
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 22:07 UTC by Kerry
Modified: 2010-09-09 04:32 UTC (History)
2 users (show)

Fixed In Version: gpodder-2.8-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-09 01:13:43 UTC


Attachments (Terms of Use)
File: backtrace (511 bytes, text/plain)
2010-08-02 22:07 UTC, Kerry
no flags Details

Description Kerry 2010-08-02 22:07:17 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gpodder
comment: Not sure what abrt detected. Gpodder didn't seem to crash, at least anything that I could see.
component: gpodder
executable: /usr/bin/gpodder
kernel: 2.6.33.4-95.fc13.i686.PAE
package: gpodder-2.7-1.fc13
reason: model.py:107:_filter_visible_func:TypeError: unknown type (null)
release: Fedora release 13 (Goddard)

backtrace
-----
model.py:107:_filter_visible_func:TypeError: unknown type (null)

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gpodder/gtkui/model.py", line 107, in _filter_visible_func
    return model.get_value(iter, self.C_VIEW_SHOW_UNDELETED)
TypeError: unknown type (null)

Local variables in innermost frame:
model: <EpisodeListModel object at 0x92aa964 (GtkListStore at 0x9318e20)>
self: <EpisodeListModel object at 0x92aa964 (GtkListStore at 0x9318e20)>
iter: <GtkTreeIter at 0xb0c6f260>

Comment 1 Kerry 2010-08-02 22:07:19 UTC
Created attachment 436144 [details]
File: backtrace

Comment 2 Ville-Pekka Vainio 2010-08-06 19:12:13 UTC
Reported upstream: https://bugs.gpodder.org/show_bug.cgi?id=1099

Comment 3 Fedora Update System 2010-08-23 09:15:28 UTC
gpodder-2.7-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/gpodder-2.7-3.fc14

Comment 4 Fedora Update System 2010-08-23 09:19:04 UTC
gpodder-2.7-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gpodder-2.7-3.fc13

Comment 5 Fedora Update System 2010-08-23 19:02:05 UTC
gpodder-2.7-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpodder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gpodder-2.7-3.fc14

Comment 6 Fedora Update System 2010-09-09 01:13:34 UTC
gpodder-2.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-09-09 04:32:00 UTC
gpodder-2.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.